<mat-horizontal-stepper linear>

  <mat-step [stepControl]="firstFormGroup">
    <form [formGroup]="firstFormGroup" name="new-vote-step1">
      <ng-template matStepLabel>Basic info</ng-template>
      <section class="content">
        <mat-form-field class="full-width">
          <input matInput formControlName="name" placeholder="Name">
        </mat-form-field>

        <mat-form-field class="full-width">
          <input matInput formControlName="description" placeholder="Description">
        </mat-form-field>

        <mat-form-field class="full-width">
          <input placeholder="Due time" aria-label="24hr format" [ngxTimepicker]="fullTime" [format]="24" matInput formControlName="dueTime" readonly>
          <ngx-material-timepicker #fullTime ></ngx-material-timepicker>
        </mat-form-field>
      </section>

      <section class="actions">
        <button mat-button matStepperNext>Next</button>
      </section>
    </form>
  </mat-step>

  <mat-step [stepControl]="secondFormGroup">
    <ng-template matStepLabel>Candidates</ng-template>
    <section class="content">
      <app-candidates-list [candidates]="candidates"></app-candidates-list>
      <mat-divider class="candidates-divider"></mat-divider>
      <app-new-candidate [(candidates)]="candidates"></app-new-candidate>
    </section>
    <form [formGroup]="secondFormGroup" name="new-vote-step2">
      <section class="actions">
        <button mat-button matStepperNext [disabled]="candidates.length<2">
          Next
        </button>
      </section>
    </form>
  </mat-step>

  <mat-step>
    <ng-template matStepLabel>Summarize</ng-template>
    <section class="content">
      Yoy are creating new Vote "{{firstFormGroup.value.name}}" with {{candidates.length}} candidates.
    </section>
    <section class="actions">
      <button mat-raised-button color="primary" (click)="create()">Create</button>
    </section>
  </mat-step>
</mat-horizontal-stepper>
